---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libSuspendResume2.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0xFB8, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x28DA8, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0xD2, offset: 0xD2, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x28EF8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0xF0, offset: 0xF0, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x28F00, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8D14, offset: 0x8D14, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x28F08, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8D2D, offset: 0x8D2D, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x28F10, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8D46, offset: 0x8D46, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x28F18, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x8D5F, offset: 0x8D5F, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x28F20, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x8DE8, offset: 0x8DE8, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x28FE0, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0x8DF5, offset: 0x8DF5, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2794, symBinAddr: 0x2930, symSize: 0x198 }
  - { offsetInCU: 0x8E2C, offset: 0x8E2C, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x28FE8, symBinAddr: 0x8288, symSize: 0x0 }
  - { offsetInCU: 0x9017, offset: 0x9017, size: 0x8, addend: 0x0, symName: __ZL15tested_vthreads, symObjAddr: 0x28F30, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9048, offset: 0x9048, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x28FD0, symBinAddr: 0x8270, symSize: 0x0 }
  - { offsetInCU: 0x9061, offset: 0x9061, size: 0x8, addend: 0x0, symName: __ZL10vthread_no, symObjAddr: 0x28FF8, symBinAddr: 0x8298, symSize: 0x0 }
  - { offsetInCU: 0x907A, offset: 0x907A, size: 0x8, addend: 0x0, symName: __ZL16agent_event_lock, symObjAddr: 0x28FD8, symBinAddr: 0x8278, symSize: 0x0 }
  - { offsetInCU: 0x910B, offset: 0x910B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x122C, symSize: 0x24 }
  - { offsetInCU: 0x9634, offset: 0x9634, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xF0C, symBinAddr: 0x1250, symSize: 0x90 }
  - { offsetInCU: 0x9930, offset: 0x9930, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x1144, symBinAddr: 0x12E0, symSize: 0x510 }
  - { offsetInCU: 0xA2BB, offset: 0xA2BB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x2580, symBinAddr: 0x271C, symSize: 0x30 }
  - { offsetInCU: 0xA348, offset: 0xA348, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x1654, symBinAddr: 0x17F0, symSize: 0x1AC }
  - { offsetInCU: 0xA818, offset: 0xA818, size: 0x8, addend: 0x0, symName: _Java_SuspendResume2_TestSuspendResume, symObjAddr: 0x1800, symBinAddr: 0x199C, symSize: 0x484 }
  - { offsetInCU: 0xB018, offset: 0xB018, size: 0x8, addend: 0x0, symName: __ZL24test_vthread_suspend_allP7JNIEnv_PKP8_jobjecti, symObjAddr: 0x1C84, symBinAddr: 0x1E20, symSize: 0x21C }
  - { offsetInCU: 0xB399, offset: 0xB399, size: 0x8, addend: 0x0, symName: __ZL23test_vthread_resume_allP7JNIEnv_PKP8_jobjecti, symObjAddr: 0x1EA0, symBinAddr: 0x203C, symSize: 0x228 }
  - { offsetInCU: 0xB723, offset: 0xB723, size: 0x8, addend: 0x0, symName: __ZL21check_suspended_stateP7JNIEnv_P8_jobjectiPcPKc, symObjAddr: 0x2A48, symBinAddr: 0x2BE4, symSize: 0x11C }
  - { offsetInCU: 0xB8AB, offset: 0xB8AB, size: 0x8, addend: 0x0, symName: __ZL19check_resumed_stateP7JNIEnv_P8_jobjectiPcPKc, symObjAddr: 0x292C, symBinAddr: 0x2AC8, symSize: 0x11C }
  - { offsetInCU: 0xBA33, offset: 0xBA33, size: 0x8, addend: 0x0, symName: __ZL27check_threads_resumed_stateP7JNIEnv_PKP8_jobjecti, symObjAddr: 0x20C8, symBinAddr: 0x2264, symSize: 0x140 }
  - { offsetInCU: 0xBC59, offset: 0xBC59, size: 0x8, addend: 0x0, symName: _Java_SuspendResume2_GetStatus, symObjAddr: 0x2208, symBinAddr: 0x23A4, symSize: 0xC }
  - { offsetInCU: 0xBC95, offset: 0xBC95, size: 0x8, addend: 0x0, symName: _Java_SuspendResume2_GetStatus, symObjAddr: 0x2208, symBinAddr: 0x23A4, symSize: 0xC }
  - { offsetInCU: 0xBD8D, offset: 0xBD8D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x2214, symBinAddr: 0x23B0, symSize: 0x21C }
  - { offsetInCU: 0xC053, offset: 0xC053, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2430, symBinAddr: 0x25CC, symSize: 0x13C }
  - { offsetInCU: 0xC2F1, offset: 0xC2F1, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x256C, symBinAddr: 0x2708, symSize: 0x4 }
  - { offsetInCU: 0xC339, offset: 0xC339, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x256C, symBinAddr: 0x2708, symSize: 0x4 }
  - { offsetInCU: 0xC34B, offset: 0xC34B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2570, symBinAddr: 0x270C, symSize: 0x4 }
  - { offsetInCU: 0xC393, offset: 0xC393, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2570, symBinAddr: 0x270C, symSize: 0x4 }
  - { offsetInCU: 0xC3A5, offset: 0xC3A5, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x25B0, symBinAddr: 0x274C, symSize: 0x70 }
  - { offsetInCU: 0xC45B, offset: 0xC45B, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x2620, symBinAddr: 0x27BC, symSize: 0x174 }
...
